<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "item";
$formname = "Item Print";
$file = "item_print_fr.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

    $prodtype = $_POST[prodtype];
    $brand = $_POST[brand];
    $size = $_POST[size];
    $quality = $_POST[quality];

    $prodtypecond = "";
    $brandcond = "";
    $sizecond = "";
    $qualitycond = "";


    if (!empty($prodtype)) {
        $prodtypecond = " AND `prodtype`='$prodtype' ";
    }
    if (!empty($brand)) {
        $brandcond = " AND `brand`='$brand' ";
    }
    if (!empty($size)) {
        $sizecond = " AND `size`='$size' ";
    }
    if (!empty($quality)) {
        $qualitycond = " AND `quality`='$quality' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $prodtypecond $brandcond $sizecond $qualitycond ")or die(mysqli_error($conn));

    if (isset($_POST["view"])) {
    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-6">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed">
                        <tr class="mySearchTr";>
                            <th>Sr</th>
                            <th>Brand</th>
                            <th>Size</th>
                            <th>Product Name</th>
                            <th>HSN Code</th>
                            <th>GST</th>
                            <th>Quality</th>
                            <th>Unit<th>
                        </tr>
    <?php
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        if ($pmain["prodtype"] == "T") {
            $typename = "Tiles";
        } elseif ($pmain["prodtype"] == 'S') {
            $typename = "Sanitary";
        } else {
            $typename = 'Others';
        }

        Echo "<tr>";
        Echo "<td>$pmain[code]</td>";
        Echo "<td>$pmain[brand]</td>";
        Echo "<td>$pmain[size] </td>";
        Echo "<td>$typename</td>";
        Echo "<td>$pmain[hsncode]</td>";
        Echo "<td>$pmain[gst]</td>";
        Echo "<td>$pmain[quality]</td>";
        Echo "<td>$pmain[unit]</td>";
        Echo "</tr>";
        $ctr++;
    }
    ?>
                    </table>
                </div>
            </div>
        </div>

    <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <? } 
    
    
    if (isset($_POST["excel"])) {
        $contents .= "Sr,Brand,Size,Product Name,HSN Code,GST,Quality,Unit\n"
                ?>
    <?php
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        if ($pmain["prodtype"] == "T") {
            $typename = "Tiles";
        } elseif ($pmain["prodtype"] == 'S') {
            $typename = "Sanitary";
        } else {
            $typename = 'Others';
        }

        
        $contents .= "$pmain[code]" . ",";
        $contents .= "$pmain[brand]" . ",";
        $contents .= "$pmain[size]" . ",";
        $contents .= "$typename" . ",";
        $contents .= "$pmain[hsncode]" . ",";
        $contents .= "$pmain[gst]" . ",";
        $contents .= "$pmain[quality]" . ",";
        $contents .= "$pmain[unit]" . "\n";
    }
    
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
    
    
    }    
    
    
    ?>
